Subject: bug#43269: 28.0.50; [feature/native-comp] provide a user feedback on Emacs being native compiled

From: Arthur Miller <[email-masked]>
Date: Sat, 17 Oct 2020 20:48:53 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>
>> Date: Sat, 17 Oct 2020 10:25:50 +0000
>> 
>> The summary is that ATM options on the table are:
>> 
>> 1- rework `emacs-version' so it adds the information there (it should
>>    reflect on `about-emacs' too), this is suggested by Lars too.
>> 
>> 2- close the bug as non related to feature/native-comp.
>> 
>> 3- rework `about-emacs' in some other way (I've really no precise idea
>>    how).
>> 
>> This list is sorted using my preference as a metric :)
>> 
>> I'll go for 1 unless there's no agreement on.
>
> FWIW, I will repeat that my preference is 3.  This information doesn't
> belong to the version, it belongs to the description of the build's
> features, and thus to "about Emacs" (which needs to be revamped not to
> show the same information as the splash screen).

Could about-screen use org-mode or outline mode and have a collapsed
list fetures, like compile options, included packages (dired, gnus, org
etc ...)?